Skip to main content
PATCH
cURL

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

tableId
string
必須

ボディ

application/json
selection
object
必須
content
必須

Content to paste

:

"John\tDoe\tjohn.doe@example.com"

viewId
string

Set the view you want to fetch. When provided, records will follow that view's filter and sort settings. When omitted, the API queries the table without applying a view.

:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
非推奨
:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
:

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

:

"qry_xxxxxxxx"

includeQueryExtra

Whether to include query extra metadata such as group points and search hit indexes. Group metadata defaults to enabled; optimized generated-index searches require explicit opt-in for search hit indexes.

projection
string[]

Visible field ids for query-scoped field selection. If omitted, all visible view fields are used.

header
object[]

Table header for paste operation

:

レスポンス

200 - application/json

Paste successfully

selection
object
必須
pastedRecordIds
string[]
pastedFieldIds
string[]
createdRecordIds
string[]
createdFieldIds
string[]
createdChoiceIdsByFieldId
object
createdForeignRecordIds
string[]
skippedAttachments
null[]
最終更新日 2026年9月15日